Commit 34370cf3 authored by Achilleas Pipinellis's avatar Achilleas Pipinellis

Merge branch 'gemfile' into 'master'

Switch to using a Gemfile

Closes #8

See merge request !12
parents c93448c7 4f70121c
......@@ -3,8 +3,8 @@ image: ruby:2.3
test:
stage: test
script:
- gem install jekyll
- jekyll build -d test
- bundle
- bundle exec jekyll build -d test
artifacts:
paths:
- test
......@@ -14,8 +14,8 @@ test:
pages:
stage: deploy
script:
- gem install jekyll
- jekyll build -d public
- bundle
- bundle exec jekyll build -d public
artifacts:
paths:
- public
......
source "https://rubygems.org"
ruby RUBY_VERSION
# This will help ensure the proper Jekyll version is running.
gem "jekyll", "3.4.0"
# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]
GEM
remote: https://rubygems.org/
specs:
addressable (2.5.0)
public_suffix (~> 2.0, >= 2.0.2)
colorator (1.1.0)
ffi (1.9.17)
forwardable-extended (2.6.0)
jekyll (3.4.0)
addressable (~> 2.4)
colorator (~> 1.0)
jekyll-sass-converter (~> 1.0)
jekyll-watch (~> 1.1)
kramdown (~> 1.3)
liquid (~> 3.0)
mercenary (~> 0.3.3)
pathutil (~> 0.9)
rouge (~> 1.7)
safe_yaml (~> 1.0)
jekyll-sass-converter (1.5.0)
sass (~> 3.4)
jekyll-watch (1.5.0)
listen (~> 3.0, < 3.1)
kramdown (1.13.2)
liquid (3.0.6)
listen (3.0.8)
rb-fsevent (~> 0.9, >= 0.9.4)
rb-inotify (~> 0.9, >= 0.9.7)
mercenary (0.3.6)
pathutil (0.14.0)
forwardable-extended (~> 2.6)
public_suffix (2.0.5)
rb-fsevent (0.9.8)
rb-inotify (0.9.8)
ffi (>= 0.5.0)
rouge (1.11.1)
safe_yaml (1.0.4)
sass (3.4.23)
PLATFORMS
ruby
DEPENDENCIES
jekyll (= 3.4.0)
tzinfo-data
RUBY VERSION
ruby 2.3.1p112
BUNDLED WITH
1.13.6
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment